
SetDirectory[NotebookDirectory[]];
If[Directory[] != WithAggShocksDir, SetDirectory[WithAggShocksDir]]; (* If this file is run in DoAll file and current folder is "Mathematica", current folder is changed to "WithAggShocks". *)

maxisSeven = Import["maxisSeven.txt","List"]; 
caxisSevenLow = Import["caxisSevenLow.txt","List"]; 
caxisSevenHigh = Import["caxisSevenHigh.txt","List"]; 
maxis = Import["maxis.txt","List"]; 
caxis = Import["caxis.txt","List"]; 
mRat = Import["mRat.txt","List"][[1]]; 

MaxXVal = 20; 

maxisSevenDumLessThanMaxXVal =   Map[If[# <= MaxXVal, 1, 0] &, maxisSeven]; (* list of dum if maxisSeven val < MaxXVal *)
maxisSeven = Take[maxisSeven, {1,Total[maxisSevenDumLessThanMaxXVal]}]; (* use maxisSeven val < MaxXVa only *)
caxisSevenLow = Take[caxisSevenLow, {1,Total[maxisSevenDumLessThanMaxXVal]}];
caxisSevenHigh = Take[caxisSevenHigh, {1,Total[maxisSevenDumLessThanMaxXVal]}];


maxisDumLessThanMaxXVal =   Map[If[# <= MaxXVal, 1, 0] &, maxis]; (* list of dum if maxis val < MaxXVal *)
maxis = Take[maxis, {1,Total[maxisDumLessThanMaxXVal]}]; (* use maxis val < MaxXVa only *)
caxis = Take[caxis, {1,Total[maxisDumLessThanMaxXVal]}];


(* Add histogram(s) to the consumption function  *) 
(* Import SCF data *)
MYRATIOList = Import["MYRATIOList.txt", "List"];             (* net worth. 2004 data from software\Stata\SCF folder *)
LiqFINPlsRetYRATIOList =  Import["MLiqFINPlsRetYRATIO.txt", "List"];  (* liq fin plus retirement assets. 2004 data from software\Stata\SCF folder  *)
WGTList = Import["WGTList.txt", "List"];                     (* weight. 2004 data from software\Stata\SCF folde *)

WGTList = WGTList/Total[WGTList];

IncrementList = Table[inci, {inci, 1, MaxXVal}]; 
e = 0.1^5;

(* Histogram of net worth *)
MYRATIOData = Table[0, {MaxXVal}];

(* Calc density *)
MYRATIOListDumTemp = 
 Map[If[# <= 0, 1, 0] &, MYRATIOList]; (* if 0 or lower *)

MYRATIOData = Table[
  MYRATIOListDumTempOld = MYRATIOListDumTemp;
  MYRATIOListDumTemp = Map[If[# <= MYRATIODatai, 1, 0] &, MYRATIOList];
  (MYRATIOListDumTemp - MYRATIOListDumTempOld) .WGTList,
  {MYRATIODatai, 1, MaxXVal}
  ];

(*
MYRATIOData = 
  Flatten[Table[{MYRATIOData[[MYRATIODatai]], 
     MYRATIOData[[MYRATIODatai]]}, {MYRATIODatai, 1, MaxXVal}]]; 
*)

MYRATIOData = 
  Flatten[Table[{0, MYRATIOData[[MYRATIODatai]], 
     MYRATIOData[[MYRATIODatai]]}, {MYRATIODatai, 1, MaxXVal}]]; 

(*
xAxis = Sort[Flatten[{IncrementList, IncrementList - 1 + e}]];
*)
xAxis = Sort[Flatten[{IncrementList, IncrementList - 1 + e, IncrementList-1 + e/2}]];

MYRATIOData = Flatten[{MYRATIOData, 0}]; (* inseted zero at the end *)
xAxis       = Flatten[{xAxis, MaxXVal + e}];

HistDataNetWorth = Transpose[{xAxis, MYRATIOData}];
FigHistNetWorth  = ListPlot[{HistDataNetWorth}, Joined -> True, Filling -> Axis(* ,
   FillingStyle->Gray *) ];

HistDataNetWorthRev = Transpose[{xAxis, 7 MYRATIOData}];

(* Histogram of liquid financial asset plus retirement assetss *)
LiqFINPlsRetYRATIOData = Table[0, {MaxXVal}];

(* Calc density *)
LiqFINPlsRetYRATIOListDumTemp = 
 Map[If[# <= 0, 1, 0] &, LiqFINPlsRetYRATIOList]; (* if 0 or lower *)

LiqFINPlsRetYRATIOData = Table[
  LiqFINPlsRetYRATIOListDumTempOld = LiqFINPlsRetYRATIOListDumTemp;
  LiqFINPlsRetYRATIOListDumTemp = 
   Map[If[# <= LiqFINPlsRetYRATIODatai, 1, 0] &, LiqFINPlsRetYRATIOList];
  (LiqFINPlsRetYRATIOListDumTemp - LiqFINPlsRetYRATIOListDumTempOld) .WGTList,
  {LiqFINPlsRetYRATIODatai, 1, MaxXVal}
  ];

(*
LiqFINPlsRetYRATIOData = 
  Flatten[Table[{LiqFINPlsRetYRATIOData[[LiqFINPlsRetYRATIODatai]], 
     LiqFINPlsRetYRATIOData[[LiqFINPlsRetYRATIODatai]]}, {LiqFINPlsRetYRATIODatai, 1, 
     MaxXVal}]]; 
*)

LiqFINPlsRetYRATIOData = 
  Flatten[Table[{0, LiqFINPlsRetYRATIOData[[LiqFINPlsRetYRATIODatai]], 
     LiqFINPlsRetYRATIOData[[LiqFINPlsRetYRATIODatai]]}, {LiqFINPlsRetYRATIODatai, 1, 
     MaxXVal}]]; 

(*
xAxis = Sort[Flatten[{IncrementList, IncrementList - 1 + e}]];
*)
xAxis = Sort[Flatten[{IncrementList, IncrementList - 1 + e, IncrementList-1 + e/2}]];

LiqFINPlsRetYRATIOData = Flatten[{LiqFINPlsRetYRATIOData, 0}];
xAxis            = Flatten[{xAxis, MaxXVal + e}];

HistDataLiqFINPlsRet = Transpose[{xAxis, LiqFINPlsRetYRATIOData}];
FigHistNLiqFINPlsRet = 
  ListPlot[{HistDataLiqFINPlsRet}, Joined -> True, Filling -> Axis(* ,
   FillingStyle->Gray *) ];


(* Add histogram(s) to the ANNUAL consumption function  *) 
WidthHist = 0.2; 
(*
WidthHist = 0.2; 
*)
MaxXValAnnual = 5; 
MYRATIOAnnualList   = MYRATIOList/4; 
IncrementListAnnual = Table[WidthHist inci, {inci, 1, (1/WidthHist) MaxXValAnnual}]; 
(*
IncrementListAnnual = Table[0.5 inci, {inci, 1, 2* MaxXValAnnual}]; 
*)

(* Histogram of net worth *)
MYRATIOAnnualData = Table[0, {MaxXValAnnual}];

(* Calc density *)
MYRATIOAnnualListDumTemp = 
 Map[If[# <= 0, 1, 0] &, MYRATIOAnnualList]; (* if 0 or lower *)

MYRATIOAnnualData = Table[
  MYRATIOAnnualListDumTempOld = MYRATIOAnnualListDumTemp;

  MYRATIOAnnualListDumTemp = Map[If[# <= WidthHist MYRATIOAnnualDatai, 1, 0] &, MYRATIOAnnualList];
(*
  MYRATIOAnnualListDumTemp = Map[If[# <= 0.5 MYRATIOAnnualDatai, 1, 0] &, MYRATIOAnnualList];
*)
  (MYRATIOAnnualListDumTemp - MYRATIOAnnualListDumTempOld) .WGTList,

  {MYRATIOAnnualDatai, 1, (1/WidthHist) MaxXValAnnual}
(*
  {MYRATIOAnnualDatai, 1, 2 MaxXValAnnual}
*)
  ];

MYRATIOAnnualData = 
  Flatten[Table[{0, MYRATIOAnnualData[[MYRATIOAnnualDatai]], 
     MYRATIOAnnualData[[MYRATIOAnnualDatai]]}, 
{MYRATIOAnnualDatai, 1, (1/WidthHist) MaxXValAnnual}
(*
{MYRATIOAnnualDatai, 1, 2 MaxXValAnnual}
*)
]
]; 

xAxisAnnual = Sort[Flatten[{IncrementListAnnual, IncrementListAnnual - WidthHist + e, IncrementListAnnual-WidthHist + e/2}]];
(*
xAxisAnnual = Sort[Flatten[{IncrementListAnnual, IncrementListAnnual - 0.5 + e, IncrementListAnnual-0.5 + e/2}]];
*)

MYRATIOAnnualData = Flatten[{MYRATIOAnnualData, 0}]; (* inseted zero at the end *)
xAxisAnnual       = Flatten[{xAxisAnnual, MaxXValAnnual + e}];

HistDataNetWorthAnnual  = Transpose[{xAxisAnnual, MYRATIOAnnualData}];



(* Define two axis function *)
TwoAxisListPlot[f_List, g_List, frange_, grange_, opts___?OptionQ] := 
  Module[
   {old, new, scale, fm, fM, gm, gM, newg},
   {fm, fM} = frange;
   {gm, gM} = grange;
   scale[var_] = ((var - gm) (fM - fm))/(gM - gm) + fm;
   old = AbsoluteOptions[
      ListPlot[g, Frame -> True, PlotRange -> grange, 
       DisplayFunction -> Identity], FrameTicks][[1, 2, 2]];
   new = (Prepend[Rest[#1], scale[First[#1]]] &) /@ old;
   newg = 
    Transpose[{Transpose[g][[1]], 
      Map[scale, Transpose[g][[2]], {1, 2}]}];
   ListPlot[{f, newg},
    Frame -> True,
    FrameTicks -> {Automatic, Automatic, None, new},
    PlotStyle -> {{Black, Thick,    Thickness[0.01]}, {Black}},
    FrameStyle -> {{}, {Black}, {}, {Black}},
    PlotRange -> frange + .05 (fM - fm),
    Joined -> True,
    Filling->{1->{Axis,None},2->{Axis,Lighter[Blue,0.8]}} ,
    opts
    ]
   ];

(* This func can be used if we want to show two lines using the left scale *)
TwoAxisListPlot3[f_List,f2_List, g_List,  frange_, grange_, opts___?OptionQ] := 
  Module[
   {old, new, scale, fm, fM, gm, gM, newg},
   {fm, fM} = frange;
   {gm, gM} = grange;
   scale[var_] = ((var - gm) (fM - fm))/(gM - gm) + fm;
   old = AbsoluteOptions[
      ListPlot[g, Frame -> True, PlotRange -> grange, 
       DisplayFunction -> Identity], FrameTicks][[1, 2, 2]];
   new = (Prepend[Rest[#1], scale[First[#1]]] &) /@ old;
   newg = 
    Transpose[{Transpose[g][[1]], 
      Map[scale, Transpose[g][[2]], {1, 2}]}];

(*
   newg2 = 
    Transpose[{Transpose[g2][[1]], 
      Map[scale, Transpose[g2][[2]], {1, 2}]}];
*)
   ListPlot[{f, f2, newg},
    Frame -> True,
    FrameTicks -> {Automatic, Automatic, None, new},
    PlotStyle -> {{Black, Dashing[{0.04, 0.04}],    Thickness[0.01]}, {Black, Dashing[{0.04, 0.04}],    Thickness[0.01]}, {Black}},
    FrameStyle -> {{}, {Black}, {}, {Black}},
    PlotRange -> frange + .05 (fM - fm),
    Joined -> True,
(*
    Filling->{1->{Axis,None},2->{Axis,Lighter[Blue,0.8]},3->{Axis,Lighter[Red,0.8]}} ,
*)
    Filling->{1->{Axis,None},2->{Axis,None},3->{Axis,Lighter[Blue,0.8]}} ,


    opts
    ]
   ];


(* This func can be used if we want to show two histograms using the right scale *)
TwoAxisListPlot4[f_List, f2_List, g_List, g2_List, frange_, grange_, opts___?OptionQ] := 
  Module[
   {old, new, scale, fm, fM, gm, gM, newg},
   {fm, fM} = frange;
   {gm, gM} = grange;
   scale[var_] = ((var - gm) (fM - fm))/(gM - gm) + fm;
   old = AbsoluteOptions[
      ListPlot[g, Frame -> True, PlotRange -> grange, 
       DisplayFunction -> Identity], FrameTicks][[1, 2, 2]];
   new = (Prepend[Rest[#1], scale[First[#1]]] &) /@ old;
   newg = 
    Transpose[{Transpose[g][[1]], 
      Map[scale, Transpose[g][[2]], {1, 2}]}];

   newg2 = 
    Transpose[{Transpose[g2][[1]], 
      Map[scale, Transpose[g2][[2]], {1, 2}]}];

   ListPlot[{f, f2, newg, newg2},
    Frame -> True,
    FrameTicks -> {Automatic, Automatic, None, new},
    PlotStyle -> {{Black, Dashing[{0.04, 0.04}],    Thickness[0.01]},{Black, Dashing[{0.04, 0.04}],    Thickness[0.01]}, {Black}, {Black}},
    FrameStyle -> {{}, {Black}, {}, {Black}},
    PlotRange -> frange + .05 (fM - fm),
    Joined -> True,
(*
    Filling->{1->{Axis,None},2->{Axis,Lighter[Blue,0.8]},3->{Axis,Lighter[Red,0.8]}} ,
*)
    Filling->{1->{Axis,None},2->{Axis,None},3->{Axis,Lighter[Blue,0.5]},4->{Axis,Lighter[RGBColor[1,0,0,0.5],0.8] }} ,


    opts
    ]
   ];

(* This func can be used if we want to show three lines using the left scale *)
TwoAxisListPlot4b[f_List, f2_List, f3_List, g_List, frange_, grange_, opts___?OptionQ] := 
  Module[
   {old, new, scale, fm, fM, gm, gM, newg},
   {fm, fM} = frange;
   {gm, gM} = grange;
   scale[var_] = ((var - gm) (fM - fm))/(gM - gm) + fm;
   old = AbsoluteOptions[
      ListPlot[g, Frame -> True, PlotRange -> grange, 
       DisplayFunction -> Identity], FrameTicks][[1, 2, 2]];
   new = (Prepend[Rest[#1], scale[First[#1]]] &) /@ old;
   newg = 
    Transpose[{Transpose[g][[1]], 
      Map[scale, Transpose[g][[2]], {1, 2}]}];

   ListPlot[{f, f2, f3, newg},
    Frame -> True,
    FrameTicks -> {Automatic, Automatic, None, new},

    PlotStyle -> {{Black, Dashing[{0.04, 0.04}],    Thickness[0.01]},{Black, Thick,    Thickness[0.01]}, {Black, Dashing[{0.04, 0.04}],    Thickness[0.01]}, {Black}},
    FrameStyle -> {{}, {Black}, {}, {Black}},
    PlotRange -> frange + .05 (fM - fm),
    Joined -> True,
(*
    Filling->{1->{Axis,None},2->{Axis,Lighter[Blue,0.8]},3->{Axis,Lighter[Red,0.8]}} ,
*)
    Filling->{1->{Axis,None},2->{Axis,None},3->{Axis,None},4->{Axis,Lighter[Blue,0.8]}} ,


    opts
    ]
   ];

(* Plot c func and histogram of net worth *)
CFuncDistSevenAndHistNetWorthPlot = 
    TwoAxisListPlot3[Transpose[{maxisSeven, caxisSevenLow}], Transpose[{maxisSeven, caxisSevenHigh}],HistDataNetWorth,
    {-0.09, 1.6}, {-0.011, 0.2}, (* for some technical reason, not {0, 1.6}, {0, 0.2} *)
       AxesOrigin -> {0, 0},
      PlotRange -> {{0,18}, {0, 1.6}},
(*
      PlotJoined -> {True, True},
*)
      PlotStyle -> {{Black, Thick,    Thickness[0.01]}, {Black}}];

CFuncDistSevenAndHistNetWorthPlot = Show[CFuncDistSevenAndHistNetWorthPlot,
    Graphics[
      Text["  \[UpArrow] Consumption/(quarterly) permanent", {7, 1.3}, {-1, 0}]], 
    Graphics[Text["     income ratio ", {7, 1.2}, {-1, 0}]],
    Graphics[Text["     for least patient (left scale)", {7, 1.1}, {-1, 0}]],
    Graphics[Text["  \[UpArrow] for most patient (left scale)", {7, 0.8}, {-1, 0}]],
(*
    Graphics[Text["  \[DownArrow]", {7, 0.98}, {-1, 0}]],
*)
    Graphics[
      Text[
    "\!\(\[ScriptM]\_\[ScriptT]\)/(\!\(\[ScriptP]\_\[ScriptT]\)\!\(W\
\_\[ScriptT]\))", {16.5, -0.16}, {-1, 0}]],
    Graphics[
   Text["   Histogram: empirical density of ", {4.8, 0.55}, {-1, 0}]],
    Graphics[
   Text["   \!\(\[ScriptM]\_\[ScriptT]\)/(\!\(\[ScriptP]\_\[ScriptT]\)\!\(W\
\_\[ScriptT]\)) (right scale)", {4.85,      0.45}, {-1, 0}]],
    Graphics[Text["  \[DownArrow]", {8, .35}, {-1, 0}]],
    PlotRangeClipping -> False,
    ImagePadding -> 39,
    
    ImageSize -> {72. 6.5, 72. 6.5/GoldenRatio},
    TextStyle -> {FontSize -> 14}]


Export[ParentDirectory[ParentDirectory[ParentDirectory[]]] <> 
   "/figures/CFuncDistSevenAndHistNetWorthPlot.EPS", CFuncDistSevenAndHistNetWorthPlot, "EPS"];
Export[ParentDirectory[ParentDirectory[ParentDirectory[]]] <> 
   "/figures/CFuncDistSevenAndHistNetWorthPlot.PNG", CFuncDistSevenAndHistNetWorthPlot, "PNG"];


(* Plot c func and histogram of liq fin plus retirement assets *)
CFuncDistSevenAndHistLiqFINPlsRetPlot = 
    TwoAxisListPlot3[Transpose[{maxisSeven, caxisSevenLow}], Transpose[{maxisSeven, caxisSevenHigh}],HistDataLiqFINPlsRet,
       {-0.09, 1.6}, {-0.035, 0.6}, (* for some technical reason, not {0, 1.6}, {-0.035, 0.6} *)
       AxesOrigin -> {0, 0},
      PlotRange -> {{0,18}, {0, 1.6}},
(*
      PlotJoined -> {True, True},
*)
      PlotStyle -> {{Black, Thick,    Thickness[0.01]}, {Black}}];

CFuncDistSevenAndHistLiqFINPlsRetPlot = Show[CFuncDistSevenAndHistLiqFINPlsRetPlot,
    Graphics[
      Text["  \[UpArrow] Consumption/(quarterly) permanent", {7, 1.3}, {-1, 0}]], 
    Graphics[Text["     income ratio ", {7, 1.2}, {-1, 0}]],
    Graphics[Text["     for least patient (left scale)", {7, 1.1}, {-1, 0}]],
    Graphics[Text["  \[UpArrow] for most patient (left scale)", {7, 0.8}, {-1, 0}]],
(*
    Graphics[Text["  \[DownArrow]", {7, 0.98}, {-1, 0}]],
*)
    Graphics[
      Text[
    "\!\(\[ScriptM]\_\[ScriptT]\)/(\!\(\[ScriptP]\_\[ScriptT]\)\!\(W\
\_\[ScriptT]\))", {16.5, -0.16}, {-1, 0}]],
    Graphics[
   Text["   Histogram: empirical density of ", {3, 0.45}, {-1, 0}]],
    Graphics[
   Text["   liquid financial asset + retirement assets/", {3,      0.35}, {-1, 0}]],
    Graphics[
   Text["   permanent income ratio (right scale)", {3,      0.25}, {-1, 0}]],
    Graphics[Text["  \[DownArrow]", {4, .15}, {-1, 0}]],
    PlotRangeClipping -> False,
    ImagePadding -> 39,
    
    ImageSize -> {72. 6.5, 72. 6.5/GoldenRatio},
    TextStyle -> {FontSize -> 14}]

Export[ParentDirectory[ParentDirectory[ParentDirectory[]]] <> 
   "/figures/CFuncDistSevenAndHistLiqFINPlsRetPlot.EPS", CFuncDistSevenAndHistLiqFINPlsRetPlot, "EPS"];
Export[ParentDirectory[ParentDirectory[ParentDirectory[]]] <> 
   "/figures/CFuncDistSevenAndHistLiqFINPlsRetPlot.PNG", CFuncDistSevenAndHistLiqFINPlsRetPlot, "PNG"];


(* C func and histograms of net worth and liq fin plus retirement assets *)
CFuncDistSevenAndHistNetWorthLiqFinPlsRetPlot = 
    TwoAxisListPlot4[Transpose[{maxisSeven, caxisSevenLow}], Transpose[{maxisSeven, caxisSevenHigh}], HistDataNetWorth, HistDataLiqFINPlsRet,
       {-0.09, 1.6}, {-0.035, 0.6}, (* for some technical reason, not {0, 1.6}, {-0.035, 0.6} *)
       AxesOrigin -> {0, 0},
      PlotRange -> {{0,18}, {0, 1.6}, {0, 1.6}},
(*
      PlotJoined -> {True, True, True},
*)
      PlotStyle -> {{Black, Thick,    Thickness[0.01]},{Black, Thick,    Thickness[0.01]}, {Black}, {Black}}];

CFuncDistSevenAndHistNetWorthLiqFinPlsRetPlot = Show[CFuncDistSevenAndHistNetWorthLiqFinPlsRetPlot,
    Graphics[
      Text["  \[UpArrow] Most impatient (left scale)", {7, 1.3}, {-1, 0}]], 
    Graphics[Text["  Most patient (left scale)", {2, 0.99}, {-1, 0}]],
    Graphics[Text["  \[DownArrow]", {4, 0.88}, {-1, 0}]],
(*
    Graphics[Text["  \[DownArrow]", {7, 0.98}, {-1, 0}]],
*)
    Graphics[
      Text[
    "\!\(\[ScriptM]\_\[ScriptT]\)", {16.5, -0.16}, {-1, 0}]],
    Graphics[
   Text["   Histogram: empirical density of ", {4.8, 0.35}, {-1, 0}]],
    Graphics[
   Text["   net worth (right scale)", {4.85,      0.25}, {-1, 0}]],
    Graphics[Text["  \[DownArrow]", {8, .14}, {-1, 0}]],

    Graphics[
   Text["  \[LeftArrow] Histogram: empirical density of ", {2, 0.68}, {-1, 0}]],
    Graphics[
   Text["      liquid financial asset + retirement assets", {2,      0.58}, {-1, 0}]],
    Graphics[
   Text["      (right scale)", {2,      0.48}, {-1, 0}]],

    PlotRangeClipping -> False,
    ImagePadding -> 39,
    
    ImageSize -> {72. 6.5, 72. 6.5/GoldenRatio},
    TextStyle -> {FontSize -> 14}]

Export[ParentDirectory[ParentDirectory[ParentDirectory[]]] <> 
   "/figures/CFuncDistSevenAndHistNetWorthLiqFinPlsRetPlot.EPS", CFuncDistSevenAndHistNetWorthLiqFinPlsRetPlot, "EPS"];
Export[ParentDirectory[ParentDirectory[ParentDirectory[]]] <> 
   "/figures/CFuncDistSevenAndHistNetWorthLiqFinPlsRetPlot.PNG", CFuncDistSevenAndHistNetWorthLiqFinPlsRetPlot, "PNG"];
Export[ParentDirectory[ParentDirectory[ParentDirectory[]]] <> 
   "/figures/CFuncDistSevenAndHistNetWorthLiqFinPlsRetPlot.pdf", CFuncDistSevenAndHistNetWorthLiqFinPlsRetPlot, "pdf"];


(* Plot c func and histogram of net worth *)
CFuncDistSevenPointAndHistNetWorthPlot = 
    TwoAxisListPlot4b[Transpose[{maxisSeven, caxisSevenLow}], Transpose[{maxis, caxis}], Transpose[{maxisSeven, caxisSevenHigh}],HistDataNetWorth,
    {-0.09, 1.6}, {-0.011, 0.2}, (* for some technical reason, not {0, 1.6}, {0, 0.2} *)
       AxesOrigin -> {0, 0},
      PlotRange -> {{0,18}, {0, 1.6}},
(*
      PlotJoined -> {True, True},
*)
      PlotStyle -> {{Black, Dashing[{0.04, 0.04}],    Thickness[0.01]}, {Black, Thick,    Thickness[0.01]}, {Black, Dashing[{0.04, 0.04}],    Thickness[0.01]}, {Black}}];




CFuncDistSevenPointAndHistNetWorthPlot = Show[CFuncDistSevenPointAndHistNetWorthPlot,
    Graphics[
      Text[" Consumption/(quarterly) permanent", {-0.3, 1.63}, {-1, 0}]], 
    Graphics[Text[" income ratio for least patient", {-0.3, 1.53}, {-1, 0}]],
    Graphics[Text[" in \[Beta]-Dist (left scale) ", {-0.3, 1.43}, {-1, 0}]],
    Graphics[Text[" \[DownArrow] ", {5.5, 1.35}, {-1, 0}]],
    Graphics[Text["  \[Beta]-Point (left scale)", {6, 1.20}, {-1, 0}]],
    Graphics[Text["  \[DownArrow] ", {8, 1.11}, {-1, 0}]],
    Graphics[Text["  \[UpArrow] for most patient in \[Beta]-Dist (left scale)", {4, 0.75}, {-1, 0}]],
(*
    Graphics[Text["  \[DownArrow]", {7, 0.98}, {-1, 0}]],
*)
    Graphics[
      Text[
    "\!\(\[ScriptM]\_\[ScriptT]\)/(\!\(\[ScriptP]\_\[ScriptT]\)\!\(W\
\_\[ScriptT]\))", {16.5, -0.16}, {-1, 0}]],
    Graphics[
   Text["   Histogram: empirical density of ", {4.8, 0.55}, {-1, 0}]],
    Graphics[
   Text["   \!\(\[ScriptM]\_\[ScriptT]\)/(\!\(\[ScriptP]\_\[ScriptT]\)\!\(W\
\_\[ScriptT]\)) (right scale)", {4.85,      0.45}, {-1, 0}]],
    Graphics[Text["  \[DownArrow]", {8, .35}, {-1, 0}]],
    PlotRangeClipping -> False,
    ImagePadding -> 39,
    
    ImageSize -> {72. 6.5, 72. 6.5/GoldenRatio},
    TextStyle -> {FontSize -> 14}]


Export[ParentDirectory[ParentDirectory[ParentDirectory[]]] <> 
   "/figures/CFuncDistSevenPointAndHistNetWorthPlot.EPS", CFuncDistSevenPointAndHistNetWorthPlot, "EPS"];
Export[ParentDirectory[ParentDirectory[ParentDirectory[]]] <> 
   "/figures/CFuncDistSevenPointAndHistNetWorthPlot.PNG", CFuncDistSevenPointAndHistNetWorthPlot, "PNG"];
Export[ParentDirectory[ParentDirectory[ParentDirectory[]]] <> 
   "/figures/CFuncDistSevenPointAndHistNetWorthPlot.pdf", CFuncDistSevenPointAndHistNetWorthPlot, "pdf"];


(* Figure for Fed *)
(*
maxisSevenAnnual = maxisSeven/4+0.75; 
maxisSevenAnnual[[1]] = 0;
MPCSevenLow = caxisSevenLow/maxisSeven;
MPCSevenLow[[1]] 0;
maxisAnnual = maxis/4+0.75; 
maxisAnnual[[1]] = 0;
MPC = caxis/maxis; 
MPC[[1]] = 0;
MPCSevenHigh = caxisSevenHigh/maxisSeven;
MPCSevenHigh[[1]] = 0;
*)



CFuncDistSevenPointAndHistNetWorthPlotFed = 
    TwoAxisListPlot4b[Transpose[{maxisSeven/4, caxisSevenLow}], Transpose[{maxis/4, caxis}], Transpose[{maxisSeven/4, caxisSevenHigh}],HistDataNetWorthAnnual,
    {-0.1, 1.8}, {-0.015, 0.25}, (* for some technical reason, not {0, 1.6}, {0, 0.2} *)
       AxesOrigin -> {0, 0},
      PlotRange -> {{0, 5}, {0, 1.6}},
(*
      PlotJoined -> {True, True},
*)
      PlotStyle -> {{Black, Dashing[{0.04, 0.04}],    Thickness[0.01]}, {Black, Thick,    Thickness[0.01]}, {Black, Dashing[{0.04, 0.04}],    Thickness[0.01]}, {Black}}];

CFuncDistSevenPointAndHistNetWorthPlotFed = Show[CFuncDistSevenPointAndHistNetWorthPlotFed,
    Graphics[
      Text[" Most Impatient  (left scale) \[DownArrow] ", {0, 1.53}, {-1, 0}]], 
    Graphics[Text["  Identical Patience", {1.6, 1.28}, {-1, 0}]],
    Graphics[Text["  (left scale) \[DownArrow]", {1.6, 1.18}, {-1, 0}]],
    Graphics[Text["  \[UpArrow] Most Patient (left scale)", {1.9, 0.8}, {-1, 0}]],

    Graphics[
      Text[
    "\!\(\[ScriptM]\_\[ScriptT]\)", {4.5, -0.16}, {-1, 0}]],

    Graphics[
   Text["   Histogram: empirical", {1, 0.51}, {-1, 0}]],
    Graphics[
   Text["    density of net worth (right scale)", {1.05,      0.37}, {-1, 0}]],
    Graphics[Text["  \[DownArrow]", {2.2, 0.25}, {-1, 0}]],

    Graphics[{Thickness[0.005], Dotted, Line[{{mRat/4, 0}, {mRat/4, 1.9}}]}],
    Graphics[Text["Representative agent's \!\(\[ScriptM]\_\[ScriptT]\) \[RightArrow]", {1.83, 1.83}, {-1, 0}]],


(*
    FrameTicks -> {{0, 0.5, 1.0, 1.5, 2.0, 2.5, 3.0, 3.5, 4.0, 4.5, 5.0}, Automatic, None, new},
*)
    PlotRangeClipping -> False,
    ImagePadding -> 39,
    
    ImageSize -> {72. 6.5, 72. 6.5/GoldenRatio},
    TextStyle -> {FontSize -> 14}]


Export[ParentDirectory[ParentDirectory[ParentDirectory[]]] <> 
   "/figures/CFuncDistSevenPointAndHistNetWorthPlotFed.EPS", CFuncDistSevenPointAndHistNetWorthPlotFed, "EPS"];
Export[ParentDirectory[ParentDirectory[ParentDirectory[]]] <> 
   "/figures/CFuncDistSevenPointAndHistNetWorthPlotFed.PNG", CFuncDistSevenPointAndHistNetWorthPlotFed, "PNG"];


(* Figure for Fed but quarterly *)
(*
CFuncDistSevenPointAndHistNetWorthPlotFedQuarterly = 
    TwoAxisListPlot4b[Transpose[{maxisSeven, caxisSevenLow}], Transpose[{maxis, caxis}], Transpose[{maxisSeven, caxisSevenHigh}],HistDataNetWorth,
    {-0.1, 1.8}, {-0.016, 0.25}, (* for some technical reason, not {0, 1.6}, {0, 0.2} *)
       AxesOrigin -> {0, 0},
      PlotRange -> {{0, 5}, {0, 1.6}},
(*
      PlotJoined -> {True, True},
*)
      PlotStyle -> {{Black, Dashing[{0.04, 0.04}],    Thickness[0.01]}, {Black, Thick,    Thickness[0.01]}, {Black, Dashing[{0.04, 0.04}],    Thickness[0.01]}, {Black}}];
*)

CFuncDistSevenPointAndHistNetWorthPlotFedQuarterly = ListLinePlot[{Transpose[{maxisSeven, caxisSevenLow}], 
  Transpose[{maxis, caxis}], Transpose[{maxisSeven, caxisSevenHigh}], 
  HistDataNetWorthRev}, 
 PlotStyle -> {{Black, Dashing[{0.04, 0.04}], 
    Thickness[0.01]}, {Black, Thick, Thickness[0.01]}, {Black, 
    Dashing[{0.04, 0.04}], Thickness[0.01]}, {Black}}, 
 Filling -> {1 -> {Axis, None}, 2 -> {Axis, None}, 3 -> {Axis, None}, 
   4 -> {Axis, {Axis, Lighter[Blue, 0.8]}}}];

CFuncDistSevenPointAndHistNetWorthPlotFedQuarterly = Show[CFuncDistSevenPointAndHistNetWorthPlotFedQuarterly,
    Graphics[
      Text[" Most impatient \[DownArrow] ", {3, 1.53}, {-1, 0}]], 
    Graphics[Text["  Identical patience \[DownArrow]", {7, 1.22}, {-1, 0}]],
    Graphics[Text["  \[UpArrow] Most patient ", {7.5, 0.8}, {-1, 0}]],

    Graphics[
      Text[
    "\!\(\[ScriptM]\_\[ScriptT]\)", {18, -0.16}, {-1, 0}]],

    Graphics[
   Text["   Histogram: empirical", {5.25, 0.53}, {-1, 0}]],
    Graphics[Text["    density of net worth ", {5.25,      0.39}, {-1, 0}]],
    Graphics[Text["    \[DownArrow]", {9,      0.27}, {-1, 0}]],

    Graphics[{Thickness[0.005], Dotted, Line[{{mRat, 0}, {mRat, 1.9}}]}],
    Graphics[Text["Representative agent's net worth \[RightArrow]", {5, 1.83}, {-1, 0}]],

    PlotRangeClipping -> False,
    ImagePadding -> 39,
    
    ImageSize -> {72. 6.5, 72. 6.5/GoldenRatio},
    TextStyle -> {FontSize -> 14}]



Export[ParentDirectory[ParentDirectory[ParentDirectory[]]] <> 
   "/figures/CFuncDistSevenPointAndHistNetWorthPlotFedQuarterly.EPS", CFuncDistSevenPointAndHistNetWorthPlotFedQuarterly, "EPS"];
Export[ParentDirectory[ParentDirectory[ParentDirectory[]]] <> 
   "/figures/CFuncDistSevenPointAndHistNetWorthPlotFedQuarterly.PNG", CFuncDistSevenPointAndHistNetWorthPlotFedQuarterly, "PNG"];
Export[ParentDirectory[ParentDirectory[ParentDirectory[]]] <> 
   "/figures/CFuncDistSevenPointAndHistNetWorthPlotFedQuarterly.pdf", CFuncDistSevenPointAndHistNetWorthPlotFedQuarterly, "pdf"];

