
#delimit;
** This program merges the "normal" income variable (HG0700) with the "derived" variables in D_compl	;
set more off;
clear;
clear matrix;
clear mata;

set mem 3000m;
set maxvar 30000;
set matsize 155;
program drop _all;
discard;

local basePath "U:\Slacalek\Laptop_X230\20130627\Research\BSinKS\20130408\cstMPCEurope\Latest\Code\Stata\";
* Current directory needs to be changed depending on working environment;
local stataPath "`basePath'";
local logPath "`stataPath'";
local dataPath "`basePath'data";
global docPath "`dataPath'";
adopath + "`stataPath'";
global eolString "_char(92) _char(92)";		* string denoting new line in LaTeX tables \\;

capture log close;
cd "`stataPath'";
log using "`logPath'\MergeNormalIncome.log", replace;
cd "`dataPath'";
*************************************************************************************;

forvalues impl = 1/5 {;
	use "`dataPath'\H`impl'.dta";
	keep sa0100 sa0010 im0100 hg0700;
	save "`dataPath'\H`impl'_select.dta", replace;
};

use "`dataPath'\H1_select.dta";

forvalues impl = 2/5 {;
	append using "`dataPath'\H`impl'_select.dta";
};

sort sa0100 sa0010 im0100;
save "`dataPath'\normalIncome.dta", replace;

use "`dataPath'\D_compl_select.dta";

gen sa0100 = country;
sort sa0100 sa0010 im0100;
merge sa0100 sa0010 im0100 using "`dataPath'\normalIncome.dta";

save "`dataPath'\D_compl_normalIncome.dta", replace;

*************************************************************************************;
log close;
